#import <Foundation/Foundation.h>
#import <OmniBase/OmniBase.h>
#import <OmniExpat/OmniExpat.h>

int main(int argc, const char *argv[])
{
    NSAutoreleasePool *pool;
    NSString *xmlFile;
    NSDictionary *propertyList;

    pool = [[NSAutoreleasePool alloc] init];
    if (argc < 2) {
        fprintf(stderr, "usage: %s file\n", argv[0]);
        exit(-1);
    }

    [OBPostLoader processClasses];
    
    xmlFile = [NSString stringWithContentsOfFile:[NSString stringWithCString:argv[1]]];
    propertyList = [xmlFile propertyListFromXMLFormat];

    NSLog(@"Property List:\n %@", propertyList);

    [pool release];
    return 0;
}
